CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  #1, HOME, #8, BKSP, TAB, LF, CLREOL, CLRLB, CR, #16, CLS      ' PST formmatting control  
OBJ
  Sio  : "FullDuplexSerialPlus"        
  gps  : "GPS_IO_mini"

Pub Main | i
  Sio.start(31,30,0,115200)  ' Rx,Tx, Mode, Baud
'  Sio.startRxTx(8,9,0,115200)  ' Rx,Tx, Mode, Baud      XBee
'  vp.register(qs.sampleINA(@frame,1))        'sample INA into <frame> array
'  vp.share(@chlong, @chlong)
  gps.start
  waitcnt(clkfreq * 5 + cnt)                            ' delay to switch to PST
  repeat
    Sio.tx(00)
    Sio.str((string("Latitude ")))
    Sio.str(gps.latitude)
    Sio.tx(13)
    Sio.str((string("Longitude ")))
    Sio.str(gps.longitude)
    Sio.tx(13)
    Sio.str((string("GPS Altitude ")))
    Sio.str(gps.GPSaltitude)
    Sio.tx(13)
    Sio.str((string("Speed ")))
    Sio.str(gps.speed)
    Sio.tx(13)
    Sio.str((string("Satellites ")))
    Sio.str(gps.satellites)
    Sio.tx(13)
    Sio.str((string("Time GMT ")))
    Sio.str(gps.time)
    Sio.tx(13)
    Sio.str((string("Date ")))
    Sio.str(gps.date)
    Sio.tx(13)
    Sio.str((string("Heading ")))
    Sio.str(gps.heading)
    Sio.str((string(" ")))
    Sio.str(gps.N_S)
    Sio.str(gps.e_w)    
    waitcnt(clkfreq * 2 + cnt)        